Skip to main content
POST
/
api
/
map-pricing
/
templates
/
{brand_key}
Save Brand Parser Template
curl --request POST \
  --url https://api.merchantops.ai/api/map-pricing/templates/{brand_key} \
  --header 'Content-Type: application/json' \
  --data '
{
  "column_mappings": {},
  "complexity": "low",
  "date_format": "MM/DD/YYYY",
  "file_type": "xlsx",
  "header_row": 1,
  "sheet_name": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

brand_key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for saving a brand parser template.

column_mappings
Column Mappings · object
complexity
string
default:low
date_format
string
default:MM/DD/YYYY
file_type
string
default:xlsx
header_row
integer
default:1
sheet_name
string | null

Response

Successful Response